DO $$ 
	DECLARE _path character varying(256) = 'patch-2025_05_16-CalendarJsonField';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=14977) THEN
			RETURN;
		END IF;

		BEGIN
						
			ALTER TABLE public."Calendars" ADD "Json" varchar NULL;
			ALTER TABLE public."CalendarSettings" ADD "Json" varchar NULL;
 


			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2025_05_16-CalendarJsonField: %', SQLERRM;


		END;
	END;
$$